<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Despesa extends Model
{
    protected $table = 'despesas';
    protected $fillable = [
        'descricao',
        'data',
        'valor',
        'responsavel',
        'status',
        'grupo_id',
    ];

    public function grupo()
    {
        return $this->hasOne(Grupo::class, 'id', 'grupo_id');
    }
}
