<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

use Redirect;
use Session;
use Auth;
use DB;
use Image;

class SantinhoController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }

    public function create()
    {
        $configs = DB::table('configs')->get();
        return view('santinho.create', compact('configs'));
    }

    public function store(Request $request) 
    {
        $input = $request->all();
        if ($request->hasFile('santinhoInputFile') && $request->file('santinhoInputFile')->isValid()) {
            $image = $request->file('santinhoInputFile');
            $img = Image::make($image->path());
            $img->save('santinho' . '.' . $image->getClientOriginalExtension());
            $configs = DB::table('configs')->update(['santinho' => 'santinho' . '.' . $image->getClientOriginalExtension()]);
            Session::flash('flash_message', 'Cadastro realizado com sucesso.');
            return Redirect::to('santinho/create');
        } else {
            Session::flash('flash_erro', 'Falha ao cadastrar santinho.');
            return Redirect::to('santinho/create');
        }
    }
}
