<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateComunicacoesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('comunicacoes', function (Blueprint $table) {
            $table->id();
            $table->string('pessoa_enviar'); 
            $table->longText('cidade_enviar')->nullable();
            $table->longText('bairro_enviar')->nullable();
            $table->string('tipo_mensagem');
            $table->string('mensagem')->nullable();
            $table->string('url')->nullable();
            $table->string('responsavel');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('comunicacoes');
    }
}
