<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateComunicacoesPerguntasTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('comunicacoes_perguntas', function (Blueprint $table) {
            $table->id();
            $table->string('pergunta');

            $table->bigInteger('comunicacao_id')->unsigned()->nullable();
            $table->foreign('comunicacao_id')
              ->references('id')->on('comunicacoes')
              ->onDelete('cascade');

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('comunicacoes_perguntas');
    }
}
