@extends('masterpage.masterpage')
@section('content')
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Adesivos</h1>
          </div>
         
        </div>
      </div><!-- /.container-fluid -->
    </section>

    <!-- Main content -->
    <section class="content">
      <div class="container-fluid">
        <div class="row">
          <!-- left column -->
          <div class="col-md-12" style="float:none;margin:auto;">
            <div class="card card-default">
              <div class="card-header">
                <h3 class="card-title">Editar</h3>
              </div>
              <form id="adesivosForm"  action="{{ URL('adesivos/update') }}" method="post" role="form">
                <input type="hidden" name="_token" id="csrf-token" value="{{ Session::token() }}" />
                <input type="hidden" name="id" id="id" value="{{ $adesivo->id }}" />
                <div class="card-body">
                  <div class="form-group">
                    <label>Solicitante</label>
                    <input type="text" class="form-control" name="lider_name" id="lider_name" required value="{{ $adesivo->lider_name }}">
                  </div>
                  <div class="form-group">
                    <label>Placa</label>
                    <input type="text" class="form-control" id="placa" name="placa" value="{{ $adesivo->placa }}">
                  </div>   
                  <div class="form-group">
                    <label>Valor</label>
                    <input  type="number" class="form-control" name="valor" id="valor" required value="{{ $adesivo->valor }}">
                  </div>

                <div class="card-footer">
                  <button type="submit" class="btn btn-primary">Salvar</button>
                  <a href="{{ url('adesivos') }}" class="btn btn-default">Voltar </a>
                </div>
              </form>
            </div>
          </div>
        </div>
      </div>
    </section>
@stop  

@section('scripts')

  <script src="https://code.jquery.com/jquery-3.6.0.js"></script>
  <script src="https://code.jquery.com/ui/1.13.2/jquery-ui.js"></script>

  <script>

    $( function() {
      var availableTags = {!! json_encode($lider_name) !!}
      $( "#lider_name" ).autocomplete({
        source: availableTags
      });
    } );

  </script>

@stop