@extends('masterpage.masterpage')
@section('content')
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Despesa</h1>
          </div>
         
        </div>
      </div>
    </section>

    <section class="content">
      <div class="container-fluid">
        <div class="row">
          <div class="col-md-12" style="float:none;margin:auto;">
            <div class="card card-default">
              <div class="card-header">
                <h3 class="card-title"><b><i>Editar</b></i></h3>
              </div>
              <form id="gruposForm"  action="{{ URL('despesas/update') }}" method="post" role="form">
                <input type="hidden" name="_token" id="csrf-token" value="{{ Session::token() }}" />
                <input type="hidden" name="id" id="id" value="{{ $despesa->id }}" />
                <div class="card-body">
                  <div class="row">
                    <div class="col-12">
                      <div class="form-group">
                        <label>Grupo</label>
                        <select class="form-control" name="grupo_id" id="grupo_id" required autofocus>
                          @if ($grupos)
                            <option value="#"></option>
                            @foreach ($grupos as $grupo)
                              @if ($grupo->id == $despesa->grupo_id )
                                <option value="{{ $grupo->id }}" selected>{{ ($grupo->nome) }}</option>  
                              @else
                                <option value="{{ $grupo->id }}">{{ ($grupo->nome) }}</option>
                              @endif
                            @endforeach
                          @endif
                        </select>
                      </div>
                      <div class="form-group">
                        <label>Data da despesa</label>
                        <div class="input-group-prepend">
                          <input type="date" class="form-control" name="data" id="data" required value="{{ $despesa->data }}">
                        </div>
                      </div>
                      <div class="form-group">
                        <label>Descrição</label>
                        <div class="input-group-prepend">
                          <input type="text" class="form-control" name="descricao" id="descricao" required value="{{ $despesa->descricao }}">
                        </div>
                      </div>
                      <div class="form-group">
                        <label>Valor</label>
                        <div class="input-group-prepend">
                          <input type="number" class="form-control" step="any" min="0" name="valor" id="valor" required value="{{ $despesa->valor }}">
                        </div>
                      </div>
                    </div>
                  </div>                
                </div>
                <div class="card-footer">
                  <button type="submit" class="btn btn-primary">Salvar</button>
                  <a href="{{ url('despesas') }}" class="btn btn-default">Voltar </a>
                </div>
              </form>
            </div>
          </div>
        </div>
      </div>
    </section>
@stop  

@section('scripts')

@stop