
<?php $__env->startSection('content'); ?>
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Despesa</h1>
          </div>
         
        </div>
      </div>
    </section>

    <section class="content">
      <div class="container-fluid">
        <div class="row">
          <div class="col-md-12" style="float:none;margin:auto;">
            <div class="card card-default">
              <div class="card-header">
                <h3 class="card-title"><b><i>Editar</b></i></h3>
              </div>
              <form id="gruposForm"  action="<?php echo e(URL('despesas/update')); ?>" method="post" role="form">
                <input type="hidden" name="_token" id="csrf-token" value="<?php echo e(Session::token()); ?>" />
                <input type="hidden" name="id" id="id" value="<?php echo e($despesa->id); ?>" />
                <div class="card-body">
                  <div class="row">
                    <div class="col-12">
                      <div class="form-group">
                        <label>Grupo</label>
                        <select class="form-control" name="grupo_id" id="grupo_id" required autofocus>
                          <?php if($grupos): ?>
                            <option value="#"></option>
                            <?php $__currentLoopData = $grupos; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $grupo): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                              <?php if($grupo->id == $despesa->grupo_id ): ?>
                                <option value="<?php echo e($grupo->id); ?>" selected><?php echo e(($grupo->nome)); ?></option>  
                              <?php else: ?>
                                <option value="<?php echo e($grupo->id); ?>"><?php echo e(($grupo->nome)); ?></option>
                              <?php endif; ?>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                          <?php endif; ?>
                        </select>
                      </div>
                      <div class="form-group">
                        <label>Data da despesa</label>
                        <div class="input-group-prepend">
                          <input type="date" class="form-control" name="data" id="data" required value="<?php echo e($despesa->data); ?>">
                        </div>
                      </div>
                      <div class="form-group">
                        <label>Descrição</label>
                        <div class="input-group-prepend">
                          <input type="text" class="form-control" name="descricao" id="descricao" required value="<?php echo e($despesa->descricao); ?>">
                        </div>
                      </div>
                      <div class="form-group">
                        <label>Valor</label>
                        <div class="input-group-prepend">
                          <input type="number" class="form-control" step="any" min="0" name="valor" id="valor" required value="<?php echo e($despesa->valor); ?>">
                        </div>
                      </div>
                    </div>
                  </div>                
                </div>
                <div class="card-footer">
                  <button type="submit" class="btn btn-primary">Salvar</button>
                  <a href="<?php echo e(url('despesas')); ?>" class="btn btn-default">Voltar </a>
                </div>
              </form>
            </div>
          </div>
        </div>
      </div>
    </section>
<?php $__env->stopSection(); ?>  

<?php $__env->startSection('scripts'); ?>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('masterpage.masterpage', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\lideranca\APPWEB\resources\views/despesas/edit.blade.php ENDPATH**/ ?>