
<?php $__env->startSection('content'); ?>
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Combustível</h1>
          </div>
         
        </div>
      </div><!-- /.container-fluid -->
    </section>

    <!-- Main content -->
    <section class="content">
      <div class="container-fluid">
        <div class="row">
          <div class="col-md-12" style="float:none;margin:auto;">
            <div class="card card-default">
              <div class="card-header">
                <h3 class="card-title">Editar</h3>
              </div>
              <form id="combustivelForm" action="<?php echo e(URL('combustivel/update')); ?>" method="post" role="form">
                <input type="hidden" name="_token" id="csrf-token" value="<?php echo e(Session::token()); ?>" />
                <input type="hidden" name="id" id="id" value="<?php echo e($combustivel->id); ?>" />
                <div class="card-body">
                  <div class="form-group">
                    <label>Solicitante</label>
                    <input type="text" class="form-control" name="lider_name" id="lider_name" required value="<?php echo e($combustivel->lider_name); ?>">
                  </div>
                  <div class="form-group">
                    <label>Placa</label>
                    <input type="text" class="form-control" id="placa" name="placa" value="<?php echo e($combustivel->placa); ?>">
                  </div>   
                  <div class="form-group">
                    <label>Valor</label>
                    <input  type="number" class="form-control" name="valor" id="valor" required value="<?php echo e($combustivel->valor); ?>">
                  </div>
                </div>
                <div class="card-footer">
                  <button type="button" onclick="submitCombustivel()" class="btn btn-primary">Salvar</button>
                  <a href="<?php echo e(url('combustivel')); ?>" class="btn btn-default">Voltar </a>
                </div>
              </form>
            </div>
          </div>
        </div>
      </div>
    </section>
<?php $__env->stopSection(); ?>  

<?php $__env->startSection('scripts'); ?>

  <script src="https://code.jquery.com/jquery-3.6.0.js"></script>
  <script src="https://code.jquery.com/ui/1.13.2/jquery-ui.js"></script>

  <script>

    var availableTags = <?php echo json_encode($lider_name); ?>

    $( function() {
      $( "#lider_name" ).autocomplete({
        source: availableTags
      });
    } );

    function submitCombustivel() {
      if (document.getElementById("lider_name").value == '' ||
        document.getElementById("valor").value == '') {
          Swal.fire(
            'Atenção!',
            'Os campos solicitante e valor são obrigatórios.',
            'info'
          )
      } else if (availableTags.includes(document.getElementById("lider_name").value) == false) {
        Swal.fire(
          'Atenção!',
          'A liderança solicitante não está cadastrada.',
          'info'
        )
      } else {
          document.getElementById("combustivelForm").submit();
      }
    }

  </script>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('masterpage.masterpage', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\lideranca\APPWEB\resources\views/combustivel/edit.blade.php ENDPATH**/ ?>