
<?php $__env->startSection('content'); ?>
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Liderança</h1>
          </div>
         
        </div>
      </div>
    </section>

    <section class="content">
      <div class="container-fluid">
        <div class="row">
          <div class="col-md-12" style="float:none;margin:auto;">
            <div class="card card-default">
              <div class="card-header">
                <h3 class="card-title"><b><i>Editar</b></i></h3>
              </div>
              <form id="clienteForm"  action="<?php echo e(URL('usuarios/update')); ?>" method="post" role="form">
                <input type="hidden" name="_token" id="csrf-token" value="<?php echo e(Session::token()); ?>" />
                <input type="hidden" name="id" id="id" value="<?php echo e($usuario->id); ?>" />
                <div class="card-body">
                  <div class="form-group">
                    <label for="name">Nome</label>
                    <input type="text" class="form-control" name="name" id="name" placeholder="Nome" value="<?php echo e($usuario->name); ?>">
                  </div>
                  <div class="form-group">
                    <label>Whatsapp</label>
                    <input type="text" class="form-control" name="whatsapp" id="whatsapp" placeholder="Whatsapp" value="<?php echo e($usuario->whatsapp); ?>">
                  </div>
                  <div class="form-group">
                    <label for="email">Email</label>
                    <input type="email" class="form-control" id="email" name="email" placeholder="Entre com email" value="<?php echo e($usuario->email); ?>">
                  </div>
                  <div class="form-group" style="display: none">
                    <label>CPF</label>
                    <input type="text" class="form-control" name="cpf_cnpj" id="cpf_cnpj"  placeholder="CPF" value="<?php echo e($usuario->cpf_cnpj); ?>">
                  </div>                  
                  <div class="form-group">
                    <label>Cartão SUS</label>
                    <input type="text" class="form-control" name="sus" id="sus" placeholder="Cartão SUS" value="<?php echo e($usuario->sus); ?>">
                  </div> 
                  <div class="form-group">
                    <label>Link Facebook</label>
                    <input type="text" class="form-control" name="facebook" id="facebook" placeholder="Facebook" value="<?php echo e($usuario->facebook); ?>">
                  </div> 
                  <div class="form-group">
                    <label>Link Instagram</label>
                    <input type="text" class="form-control" name="instagram" id="instagram" placeholder="Instagram" value="<?php echo e($usuario->instagram); ?>">
                  </div>     
                  <div class="form-group">
                    <label for="exampleInputPassword1">Senha</label>
                    <input type="password" class="form-control" id="password" name="password" placeholder="Senha">
                  </div>
                  <div class="form-group">
                    <label for="password">Confirmar senha</label>
                    <input type="password" class="form-control" id="exampleInputPassword1" placeholder="Confirme a Senha">
                  </div>

                  <?php if(Auth::user()->perfil == 1): ?>
                    <div class="form-group">
                      <label>Perfil</label>
                      <select name="perfil" class="form-control">
                        <option value="1" <?php if($usuario->perfil == 1): ?> selected <?php endif; ?>>Administrador</option>
                        <option value="2" <?php if($usuario->perfil == 2): ?> selected <?php endif; ?>>Liderança</option>
                      </select>
                    </div>
                  <?php else: ?>
                    <select name="perfil" class="form-control" hidden>
                      <option value="2">Liderança</option>
                    </select>
                  <?php endif; ?>
                  
                  <div class="form-group">
                    <label>Meta cadastros liderança</label>
                    <input type="number" min="0" class="form-control" id="meta_lideranca" name="meta_lideranca" value="<?php echo e($usuario->meta_lideranca); ?>">
                  </div>

                  <div class="form-group">
                    <label>Meta cadastros eleitores</label>
                    <input type="number" min="0" class="form-control" id="meta_eleitores" name="meta_eleitores" value="<?php echo e($usuario->meta_eleitores); ?>">
                  </div>

                  <div class="form-group">
                    <label>CEP</label>
                    <div class="input-group-prepend">
                      <input type="text" class="form-control" id="cep" name="cep" data-mask="00000-000" value="<?php echo e($usuario->cep); ?>">
                      <button type="button" class="btn btn-success" onclick="getCep()">Buscar</button>
                    </div>
                  </div>

                  <div class="form-group">
                    <label>Endereço</label>
                    <input type="text" class="form-control" id="endereco" name="endereco" value="<?php echo e($usuario->endereco); ?>">
                  </div>

                  <div class="form-group">
                    <label>Número</label>
                    <input type="text" class="form-control" id="numero" name="numero" value="<?php echo e($usuario->numero); ?>">
                  </div>

                  <div class="form-group">
                    <label>Complemento</label>
                    <input type="text" class="form-control" id="complemento" name="complemento" value="<?php echo e($usuario->complemento); ?>">
                  </div>

                  <div class="form-group">
                    <label>Bairro</label>
                    <input type="text" class="form-control" id="bairro" name="bairro" value="<?php echo e($usuario->bairro); ?>">
                  </div>

                  <div class="form-group">
                    <label>Cidade</label>
                    <input type="text" class="form-control" id="cidade" name="cidade" value="<?php echo e($usuario->cidade); ?>">
                  </div>

                  <!--<div class="form-group">                           
                    <input type="checkbox" name="ativo" <?php if($usuario->status): ?> checked <?php endif; ?> data-bootstrap-switch data-off-color="danger" data-on-color="success"  data-on-text="ATIVO" data-off-text="INATIVO">                  
                  </div>-->
                </div>

                <div class="card-footer">
                  <button type="submit" class="btn btn-primary">Salvar</button>
                  <a href="<?php echo e(url('usuarios')); ?>" class="btn btn-default">Voltar </a>
                </div>
              </form>
            </div>
          </div>
        </div>
      </div>
    </section>
<?php $__env->stopSection(); ?>  

<?php $__env->startSection('scripts'); ?>

  <script src="https://cdn.jsdelivr.net/npm/cep-promise/dist/cep-promise.min.js"></script>

  <script>

    $(document).ready(function() {

      $("input[data-bootstrap-switch]").each(function(){
        $(this).bootstrapSwitch();
      });

      $("input[id*='cpf_cnpj']").inputmask({
        mask: ['999.999.999-99'],
        keepStatic: true
      });

      $("input[id*='cep']").inputmask({
        mask: ['99999-999'],
        keepStatic: true
      });
      
    });

    async function getCep() {
        let cep = document.getElementById('cep').value.replace('-', '')
        this.cep(cep)
          .then(function (result) {
            document.getElementById('endereco').value = result.street
            document.getElementById('cidade').value = result.city
            document.getElementById('bairro').value = result.neighborhood
            document.getElementById('numero').focus()
          })
      }

      function checkPass(params) {
        if (params.value != document.getElementById('password').value) {
          document.getElementById('confirmPassword').value = ''
          Swal.fire({
            title: 'Atenção!',
            text: 'O campo senha e confirmar devem ser iguais.',
            icon: 'info',
            confirmButtonText: 'Entendi'
          })
        }
      }

  </script>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('masterpage.masterpage', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/bizybox/public_html/erasmoavila/resources/views/usuarios/edit.blade.php ENDPATH**/ ?>