

<?php $__env->startSection('content'); ?>
<section class="content-header">
    <div class="container-fluid">
      <div class="row mb-2">
        <div class="col-sm-6">
          <h1>Relatório de metas</h1>
        </div>
      </div>
    </div>
  </section>

  <section class="content">
    <div class="container-fluid">
      <div class="row">
        <div class="col-12">

          <div class="card">          
            <div class="card-body">
              <table id="example1" class="table table-striped">
                <thead>
                <tr>
                    <th>Liderança</th>
                    <th>Meta por líder</th>
                    <th>Meta por eleitor</th>
                    <th style="text-align: right">AÇÕES</th>
                </tr>
                </thead>
                <tbody>
               
                  <?php $__currentLoopData = $arrayMetas; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $meta): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <tr>
                        <td><?php echo e($meta->lideranca_nome); ?></td>
                        <?php if($meta->qtdLideranca < $meta->metaLideranca): ?>
                          <td><?php echo e($meta->qtdLideranca); ?> / <?php echo e($meta->metaLideranca); ?> 
                            <img src="../bower_components/admin-lte/dist/img/red.png" width="15" height="15">
                          </td>
                        <?php else: ?>
                          <td><?php echo e($meta->qtdLideranca); ?> / <?php echo e($meta->metaLideranca); ?> 
                            <img src="../bower_components/admin-lte/dist/img/1.png" width="15" height="15">
                          </td>
                        <?php endif; ?>
                        <?php if($meta->qtdEleitores < $meta->metaEleitores): ?>
                          <td><?php echo e($meta->qtdEleitores); ?> / <?php echo e($meta->metaEleitores); ?>

                            <img src="../bower_components/admin-lte/dist/img/red.png" width="15" height="15">
                          </td>
                        <?php else: ?>
                          <td><?php echo e($meta->qtdEleitores); ?> / <?php echo e($meta->metaEleitores); ?>

                            <img src="../bower_components/admin-lte/dist/img/1.png" width="15" height="15">
                          </td>
                        <?php endif; ?>
                        <td style="text-align: right">
                          <div>
                            <a href="<?php echo e($meta->instagram); ?>" class="btn btn-outline-danger" target="_blank"><i class="nav-icon fab fa-instagram"></i> Instagram</a>
                            <a href="#" telefone="<?php echo e($meta->whatsapp); ?>" onclick="getPhone(this)" class="btn btn-success"><i class="fab fa-whatsapp"></i> Whatsapp</a>
                          </div>  
                        </td>
                    </tr>
                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                
                </tbody> 
                </tfoot>
              </table>
            </div>
          </div>
        </div>
      </div>
    </div>
  </section>

  <?php $__env->stopSection(); ?>

 <?php $__env->startSection('scripts'); ?>
    <script>

        $(function () {
            $("#example1").DataTable({
            "buttons": [{extend: "copy", text:'Copiar'}, "excel", "pdf", {extend: "print", text:"Imprimir"}],
            "responsive": true,
            "autoWidth": false,
            "oLanguage":{
                "sEmptyTable": "Nenhum registro encontrado",
                "sInfo": "Mostrando de _START_ até _END_ de _TOTAL_ registros",
                "sInfoEmpty": "Mostrando 0 até 0 de 0 registros",
                "sInfoFiltered": "(Filtrados de _MAX_ registros)",
                "sInfoPostFix": "",
                "sInfoThousands": ".",
                "sLengthMenu": "_MENU_ Resultados por página",
                "sLoadingRecords": "Carregando...",
                "sProcessing": "Processando...",
                "sZeroRecords": "Nenhum registro encontrado",
                "sSearch": "Pesquisar ",
                "oPaginate": {
                    "sNext": "Próximo",
                    "sPrevious": "Anterior",
                    "sFirst": "Primeiro",
                    "sLast": "Último"
                }
                }
            }).buttons().container().appendTo('#example1_wrapper .col-md-6:eq(0)');
        });

        function formataTelefone(params) {
            for (let index = 0; index < params.length; index++) {
                params = params.replace('(', '');
                params = params.replace(')', '');
                params = params.replace(' ', '');
                params = params.replace('-', '');
            }
            return params;
        }

        function detectar_mobile() {
            var check = false;
            (function(a){if(/(android|bb\d+|meego).+mobile|avantgo|bada\/|blackberry|blazer|compal|elaine|fennec|hiptop|iemobile|ip(hone|od)|iris|kindle|lge |maemo|midp|mmp|mobile.+firefox|netfront|opera m(ob|in)i|palm( os)?|phone|p(ixi|re)\/|plucker|pocket|psp|series(4|6)0|symbian|treo|up\.(browser|link)|vodafone|wap|windows ce|xda|xiino/i.test(a)||/1157|6310|6590|3gso|4thp|50[1-6]i|770s|802s|a wa|abac|ac(er|oo|s\-)|ai(ko|rn)|al(av|ca|co)|amoi|an(ex|ny|yw)|aptu|ar(ch|go)|as(te|us)|attw|au(di|\-m|r |s )|avan|be(ck|ll|nq)|bi(lb|rd)|bl(ac|az)|br(e|v)w|bumb|bw\-(n|u)|c55\/|capi|ccwa|cdm\-|cell|chtm|cldc|cmd\-|co(mp|nd)|craw|da(it|ll|ng)|dbte|dc\-s|devi|dica|dmob|do(c|p)o|ds(12|\-d)|el(49|ai)|em(l2|ul)|er(ic|k0)|esl8|ez([4-7]0|os|wa|ze)|fetc|fly(\-|_)|g1 u|g560|gene|gf\-5|g\-mo|go(\.w|od)|gr(ad|un)|haie|hcit|hd\-(m|p|t)|hei\-|hi(pt|ta)|hp( i|ip)|hs\-c|ht(c(\-| |_|a|g|p|s|t)|tp)|hu(aw|tc)|i\-(15|go|ma)|i230|iac( |\-|\/)|ibro|idea|ig01|ikom|im1k|inno|ipaq|iris|ja(t|v)a|jbro|jemu|jigs|kddi|keji|kgt( |\/)|klon|kpt |kwc\-|kyo(c|k)|le(no|xi)|lg( g|\/(k|l|u)|50|54|\-[a-w])|libw|lynx|m1\-w|m3ga|m50\/|ma(te|ui|xo)|mc(01|21|ca)|m\-cr|me(rc|ri)|mi(o8|oa|ts)|mmef|mo(01|02|bi|de|do|t(\-| |o|v)|zz)|mt(50|p1|v )|mwbp|mywa|n10[0-2]|n15[2-3]|n30(0|2)|n50(0|2|5)|n7(0(0|1)|10)|ne((c|m)\-|on|tf|wf|wg|wt)|nok(6|i)|nzph|o2im|op(ti|wv)|oran|owg1|p800|pan(a|d|t)|pdxg|pg(13|\-([1-8]|c))|phil|pire|pl(ay|uc)|pn\-2|po(ck|rt|se)|prox|psio|pt\-g|qa\-a|qc(07|12|21|32|60|\-[2-7]|i\-)|qtek|r380|r600|raks|rim9|ro(ve|zo)|s55\/|sa(ge|ma|mm|ms|ny|va)|sc(01|h\-|oo|p\-)|sdk\/|se(c(\-|0|1)|47|mc|nd|ri)|sgh\-|shar|sie(\-|m)|sk\-0|sl(45|id)|sm(al|ar|b3|it|t5)|so(ft|ny)|sp(01|h\-|v\-|v )|sy(01|mb)|t2(18|50)|t6(00|10|18)|ta(gt|lk)|tcl\-|tdg\-|tel(i|m)|tim\-|t\-mo|to(pl|sh)|ts(70|m\-|m3|m5)|tx\-9|up(\.b|g1|si)|utst|v400|v750|veri|vi(rg|te)|vk(40|5[0-3]|\-v)|vm40|voda|vulc|vx(52|53|60|61|70|80|81|83|85|98)|w3c(\-| )|webc|whit|wi(g |nc|nw)|wmlb|wonu|x700|yas\-|your|zeto|zte\-/i.test(a.substr(0,4)))check = true})(navigator.userAgent||navigator.vendor||window.opera);
            return check;
        }

        function detectIphone()
        {  
            return new Promise((resolve, reject) => {     
                var uagent = navigator.userAgent.toLowerCase();
                if (uagent.search("iphone") > -1){
                    return resolve('true');
                }    
                else{
                    return resolve('false');
                }         
            })
        }

        async function getPhone(params) {
            if (await detectIphone() == "true") {
                document.getElementById(params.getAttribute('id')).href = "whatsapp://send?phone=55" +formataTelefone(params.getAttribute('telefone')) + "&text=Olá, Liderança";
                document.getElementById(params.getAttribute('id')).click();
                
            } else {
                if (detectar_mobile() == false) {
                    document.getElementById(params.getAttribute('id')).href = "https://api.whatsapp.com/send?phone=55" +
                    formataTelefone(params.getAttribute('telefone')) + "&text=Olá, Liderança";
                    document.getElementById(params.getAttribute('id')).click();
                    
                } else {
                    document.getElementById(params.getAttribute('id')).href = "whatsapp://send?phone=55" +
                    formataTelefone(params.getAttribute('telefone')) + "&text=Olá, Liderança" ;
                    document.getElementById(params.getAttribute('id')).click();
                    
                }
            }
        }

    </script>
 <?php $__env->stopSection(); ?>
<?php echo $__env->make('masterpage.masterpage', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\lideranca\APPWEB\resources\views/relatorios/metas.blade.php ENDPATH**/ ?>