<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Client extends Model
{
    protected $fillable = [
        'name',
        'email',
        'cpf',
        'titulo',
        'zona',
        'secao',
        'rg',
        'phone',
        'city',
        'state',
        'address',
        'zona_regiao',
        'cep',
        'rua',
        'bairro',
        'numero',
        'complemento',
        'type_person',
        'status',
        'cabo_id',
        'nascimento',
        'profissao',
        'is_checked',
        'is_whatsapp',
        'w_contact',
        'sus'
    ];

    public function acompanhante()
    {
        return $this->hasOne(User::class, 'id','cabo_id');
    }

    public function sociais()
    {
        return $this->belongsToMany(Social::class, 'id','social_id');
    }
}
