<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Comunicacao extends Model
{
    protected $table = 'comunicacoes';
    protected $fillable = [
        'pessoa_enviar',
        'cidade_enviar',
        'bairro_enviar',
        'tipo_mensagem',
        'mensagem',
        'url',
        'responsavel'
    ];

    public function pergunta()
    {
        return $this->hasMany(ComunicacaoPergunta::class, 'comunicacao_id', 'id');
    }
}
