<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateCheckinsReunioesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('checkins_reunioes', function (Blueprint $table) {
            $table->id();
            $table->string('lider');
            $table->integer('lider_id');
            $table->string('sub_lider');
            $table->integer('sub_lider_id');
            $table->integer('reuniao_id');
            $table->string('responsavel')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('checkins_reunioes');
    }
}
