<!DOCTYPE html>
<html lang="pt-br" >

<head><meta http-equiv="Content-Type" content="text/html; charset=windows-1252">
    
    <title>Liderança - Links</title>

    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="<?php echo asset('bower_components\admin-lte\dist\css\biolinks.css'); ?>">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
    <link rel="icon" type="image/x-icon" href="{{ URL::asset('/bower_components/admin-lte/dist/img/logo.ico') }}">
</head>

<body>
    
    <div class="container">
        <div class="col-xs-12">
            <div class="text-center" style="padding-top: 30px; padding-bottom: 30px;">
                <img id="logo" class="backdrop linktree">
                <h5 id="linksTitle" style="color: #ffffff; padding-top: 20px;">
                </h5>
                <h4 id="linksSubTitle" style="color: #ffffff; padding-top: 20px;">
                </h4>
            </div>
        </div>
    </div>

    <div class="container">
        <div class="col-xs-12">
            <div id="linkButtons" class="text-center">
            </div>
        </div>
    </div>

    <div class="text-center">
        <a href="https://www.alphaready.co" style="color: #34312f;">desenvolvido por Bizybox</a>
    </div>

    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js" integrity="sha384-ZMP7rVo3mIykV+2+9J3UJ46jBk0WLaUAdn689aCwoqbBJiSnjAK/l8WvCWPIPm49" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js" integrity="sha384-ChfqqxuZUCnJSK3+MXmPNIyE6ZbWh2IMqE241rYiqJxyMiZ6OW/JmZQ5stwEULTy" crossorigin="anonymous"></script>
    
    <script>

        var biolinkDB = {!! json_encode($biolink) !!}
        document.addEventListener("DOMContentLoaded", function(){
            if (biolinkDB.length > 0) {
                var objBiolinkDB = JSON.parse(biolinkDB[0].biolink);
                document.getElementById('logo').src = biolinkDB[0].url_image;
                document.getElementById('linksTitle').innerText = objBiolinkDB.title
                document.getElementById('linksSubTitle').innerText = objBiolinkDB.description
    
                var linkButtonsDB = document.getElementById("linkButtons")
                objBiolinkDB.links.forEach(function (item) {
                    linkButtonsDB.innerHTML += item.links
                })
            }
        });

    </script>
</body>

</html>