<!-- Content Header (Page header) -->

<?php $__env->startSection('content'); ?>
<input type="hidden" name="_token" id="csrf-token" value="<?php echo e(Session::token()); ?>" />
<section class="content-header">
    <div class="container-fluid">
      <div class="row mb-2">
        <div class="col-sm-6">
          <h1>Eleitores</h1>
        </div>
      </div>
    </div><!-- /.container-fluid -->
  </section>
  <!-- Main content -->
  <section class="content">
    <div class="container-fluid">
      <div class="row">
        <div class="col-12">
          <?php if(Session::has('flash_message')): ?>
            <div class="alert alert-success alert-dismissible">
              <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
              <h5><i class="icon fas fa-check"></i> Alerta!</h5>
              <?php echo e(Session::get('flash_message')); ?>

            </div>
          <?php endif; ?>
          <?php if(Session::has('error')): ?>
            <div class="alert alert-danger alert-dismissible">
              <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
              <h5><i class="icon fas fa-ban"></i> Alert!</h5>
              <?php echo e(Session::get('error')); ?>

            </div>
          <?php endif; ?>
          <div class="card">
            <div class="card-header">
              <h3 class="card-title">Lista</h3>

            </div>
            <div>

            </div>
            <!-- /.card-header -->
            <div class="card-body">
                <div class="x_content">
                    <form id="demo-form" method="post" action="<?php echo e(url('clientes/storeImportacao')); ?>" enctype="multipart/form-data" >
                        <input id="_token" name="_token" type="hidden" value="<?php echo e(csrf_token()); ?>"/>
                        <div class="form-group">
                            <label>IMPORTAR PLANILHA EXCEL</label>
                            <input required type="file" id="planilha" name="planilha" class="form-control" accept=".csv, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet, application/vnd.ms-excel" />
                        </div>
                        <hr>
                        <div class="form-group">
                            <button id="btImport" type="submit" class="btn btn-primary">Salvar</button>
                        </div>
                    </form>
                </div>

            </div>
          </div>
        </div>
      </div>
    </div>

  </section>

  <?php $__env->stopSection(); ?>

 <?php $__env->startSection('scripts'); ?>
    <script>
      $(function () {
        $("#example1").DataTable({
          "responsive": true,
          "autoWidth": false,
          "oLanguage":{
            "sEmptyTable": "Nenhum registro encontrado",
            "sInfo": "Mostrando de _START_ até _END_ de _TOTAL_ registros",
            "sInfoEmpty": "Mostrando 0 até 0 de 0 registros",
            "sInfoFiltered": "(Filtrados de _MAX_ registros)",
            "sInfoPostFix": "",
            "sInfoThousands": ".",
            "sLengthMenu": "_MENU_ Resultados por página",
            "sLoadingRecords": "Carregando...",
            "sProcessing": "Processando...",
            "sZeroRecords": "Nenhum registro encontrado",
            "sSearch": "Pesquisar ",
            "oPaginate": {
              "sNext": "Próximo",
              "sPrevious": "Anterior",
              "sFirst": "Primeiro",
              "sLast": "Último"
            }
          }
        }).buttons().container().appendTo('#example1_wrapper .col-md-6:eq(0)');
      });

      function confirmDelete(params) {
        Swal.fire({
          title: 'Tem certeza que deseja excluir?',
          text: "Os dados serão excluídos permanentemente!",
          icon: 'warning',
          showCancelButton: true,
          confirmButtonColor: '#3085d6',
          cancelButtonColor: '#d33',
          confirmButtonText: 'Confirmar',
          cancelButtonText: 'Cancelar',
        }).then((result) => {
          if (result.isConfirmed) {
            var csrfToken = document.getElementById('csrf-token').value;
            var data = new FormData();
            data.append('clientId', params.getAttribute('clientId'));
            fetch('<?php echo e(URL('clientes/destroy')); ?>', {
              method: 'post',
              body: data,
              headers: {
                "X-CSRF-Token": csrfToken
              },
            }).then(function(response) {
              if (response.status === 200) {
                Swal.fire({
                  icon: 'success',
                  title: 'Cadastro excluído com sucesso',
                  showConfirmButton: false,
                  timer: 1500
                })
                window.location.reload();
              } else {
                Swal.fire(
                  'Falha!',
                  'Falha ao excluir grupo.',
                  'error'
                )
              }
            });
          }
        })
      }

    </script>
 <?php $__env->stopSection(); ?>

<?php echo $__env->make('masterpage.masterpage', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\lideranca\resources\views/clientes/importar.blade.php ENDPATH**/ ?>