
<?php $__env->startSection('content'); ?>
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Usuários</h1>
          </div>
         
        </div>
      </div><!-- /.container-fluid -->
    </section>

    <!-- Main content -->
    <section class="content">
      <div class="container-fluid">
        <div class="row">
          <!-- left column -->
          <div class="col-md-8" style="float:none;margin:auto;">
            <!-- general form elements -->
            <div class="card card-primary">
              <div class="card-header">
                <h3 class="card-title">Editar Usuários</h3>
              </div>
              <!-- /.card-header -->
              <!-- form start -->
              <form id="clienteForm"  action="<?php echo e(URL('usuarios/update')); ?>" method="post" role="form">
                <input type="hidden" name="_token" id="csrf-token" value="<?php echo e(Session::token()); ?>" />
                <input type="hidden" name="id" id="id" value="<?php echo e($usuario->id); ?>" />
                <div class="card-body">
                  <div class="form-group">
                    <div class="form-group">
                      <label for="name">Nome</label>
                      <input type="text" class="form-control" name="name" id="name" placeholder="Nome" value="<?php echo e($usuario->name); ?>">
                    </div>
                    <label for="email">Email</label>
                    <input type="email" class="form-control" id="email" name="email" placeholder="Entre com email" value="<?php echo e($usuario->email); ?>">
                  </div>
                  <div class="form-group">
                    <label for="exampleInputPassword1">Senha</label>
                    <input required type="password" class="form-control" id="password" name="password" placeholder="Senha">
                  </div>
                  <div class="form-group">
                    <label for="password">Confirmar senhas</label>
                    <input required type="password" class="form-control" id="exampleInputPassword1" placeholder="Confirme a Senha">
                  </div>
                  <div class="form-group">
                    <label>CPF ou CNPJ</label>
                    <input type="text" class="form-control" name="cpf_cnpj" id="cpf_cnpj"  placeholder="CPF/CNPJ" value="<?php echo e($usuario->cpf_cnpj); ?>">
                  </div>
                  <div class="form-group">
                    <label>BANCO</label>
                    <input type="text" class="form-control" name="banco" id="banco" placeholder="BANCO" value="<?php echo e($usuario->banco); ?>">
                  </div>
                  <div class="form-group">
                    <label>AGÊNCIA</label>
                    <input type="text" class="form-control" name="agencia" id="agencia" placeholder="AGÊNCIA" value="<?php echo e($usuario->agencia); ?>">
                  </div>
                  <div class="form-group">
                    <label>CONTA</label>
                    <input type="text" class="form-control" name="conta" id="conta" placeholder="CONTA" value="<?php echo e($usuario->conta); ?>">
                  </div>
                  <div class="form-group">
                    <label>Perfil</label>
                    <select name="perfil" class="form-control">
                      <option value="1" <?php if($usuario->perfil == 1): ?> selected <?php endif; ?>>Administrador</option>
                      <option value="2" <?php if($usuario->perfil == 2): ?> selected <?php endif; ?>>Parceiro</option>
                    </select>
                  </div>
                  <div class="form-group">                           
                    <input type="checkbox" name="ativo" <?php if($usuario->status): ?> checked <?php endif; ?> data-bootstrap-switch data-off-color="danger" data-on-color="success"  data-on-text="ATIVO" data-off-text="INATIVO">                  
                  </div>
                </div>

               
               
                <!-- /.card-body -->

                <div class="card-footer">
                  <button type="submit" class="btn btn-primary">Salvar</button>
                </div>
              </form>
            </div>
            

          </div>
          <!--/.col (left) -->
          <!-- right column -->
         
          <!--/.col (right) -->
        </div>
        <!-- /.row -->
      </div><!-- /.container-fluid -->
      
     


    </section>
    <!-- /.content -->
<?php $__env->stopSection(); ?>  

<?php $__env->startSection('scripts'); ?>
<script>

  $(document).ready(function() {

    $("input[data-bootstrap-switch]").each(function(){
      $(this).bootstrapSwitch();
    });

    $("input[id*='cpf_cnpj']").inputmask({
      mask: ['999.999.999-99', '99.999.999/9999-99'],
      keepStatic: true
    });
    
      var search = $("#domain");
      search.keyup(function() {
          if (search.val() != '') {
              $.post("<?php echo e(URL('clientes/findDomain')); ?>", { search : search.val(), _token : $('#csrf-token').val()}, function(data) {
                  if(data){
                  $('#lbInputDomain').css('display', 'block');
                  search.attr("class",'form-control is-invalid');
                  }
                  else{
                  $('#lbInputDomain').css('display', 'none');
                  search.attr("class",'form-control is-valid');          
                  }
              });
          }
      });
  });

  

  $('#clienteForm').submit(function() {
    var pass = true;
    //some validations

    if(pass == false){
        return false;
    }
    $("#overlay").css('display', 'block');

    return true;
  });
</script>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('masterpage.masterpage', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\project-ybankconsign\APPWEB\resources\views/usuarios/edit.blade.php ENDPATH**/ ?>