
<?php $__env->startSection('content'); ?>
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
         
         
        </div>
      </div><!-- /.container-fluid -->
    </section>

    <!-- Main content -->
    <section class="content">
      <div class="container-fluid">
        <?php if(Session::has('message')): ?>
            <div class="alert alert-success alert-dismissible">
              <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
              <h5><i class="icon fas fa-check"></i> Alerta!</h5>
              <?php echo e(Session::get('message')); ?>

            </div>
          <?php endif; ?>
          <?php if(Session::has('error')): ?>
            <div class="alert alert-danger alert-dismissible">
              <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
              <h5><i class="icon fas fa-ban"></i> Alert!</h5>
              <?php echo e(Session::get('error')); ?>

            </div>
          <?php endif; ?>
        <div class="row">
          <!-- left column -->   
          <div class="col-md-8" style="float:none;margin:auto;">
            <!-- general form elements -->
            <div class="card card-primary">
              <div class="card-header">
                <h3 class="card-title">Adicionar Cliente</h3>
              </div>
              <!-- /.card-header -->
              <!-- form start -->
              <form id="clienteForm"  action="<?php echo e(URL('clientes/store')); ?>" method="post" role="form">
                <input type="hidden" name="_token" id="csrf-token" value="<?php echo e(Session::token()); ?>" />
                <input type="hidden" name="user_id" id="user_id" value="<?php echo e(Auth::user()->id); ?>" />
                <div class="card-body">
                  <div class="form-group">
                    <div class="form-group">
                      <label for="name">Nome</label>
                      <input required type="text" class="form-control" name="name" id="name" placeholder="Nome">
                    </div>
                    <label for="email">Email</label>
                    <input required type="email" class="form-control" id="email" name="email" placeholder="Entre com email">
                  </div>               
                  <div class="form-group">
                    <label for="name">CPF</label>
                    <input required type="text" class="form-control" name="cpf" id="cpf" data-inputmask='"mask": "999.999.999-99"' data-mask placeholder="Nome">
                  </div>
                  <div class="form-group">
                    <label  for="name">Estado</label>
                    <input required type="text" class="form-control" name="state" id="state" placeholder="Estado">
                  </div>
                  <div class="form-group">
                    <label for="name">Cidade</label>
                    <input required type="text" class="form-control" name="city" id="city" placeholder="Cidade">
                  </div>
                  <div class="form-group">
                    <label for="exampleInputPassword1">Telefone</label>
                    <input required type="text" class="form-control" id="phone" name="phone" data-inputmask='"mask": "(99) 99999-9999"' data-mask placeholder="Telefone">
                  </div>
                  <div class="form-group">
                    <label>Condição</label>
                    <select required name="type_person" class="form-control">
                      <option value=""></option>
                      <option value="APOSENTADO">APOSENTADO</option>
                      <option value="PENSIONISTA">PENSIONISTA</option>
                      <option value="CONCURSADO">CONCURSADO</option>
                      <option value="CLT">CLT</option>
                    </select>
                  </div>
                </div>
               
                <!-- /.card-body -->

                <div class="card-footer">
                  <button type="submit" class="btn btn-primary">Salvar</button>
                </div>
              </form>
            </div>
            

          </div>
          <!--/.col (left) -->
          <!-- right column -->
         
          <!--/.col (right) -->
        </div>
        <!-- /.row -->
      </div><!-- /.container-fluid -->
      
     


    </section>
    <!-- /.content -->
<?php $__env->stopSection(); ?>  

<?php $__env->startSection('scripts'); ?>
<script>

  $(document).ready(function() {
      $('[data-mask]').inputmask()      
  });

  $('#clienteForm').submit(function() {
    var pass = true;
    //some validations

    if(pass == false){
        return false;
    }
    $("#overlay").css('display', 'block');

    return true;
  });
</script>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('masterpage.masterpage', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\project-ybankconsign\APPWEB\resources\views/clientes/create.blade.php ENDPATH**/ ?>