
<?php $__env->startSection('content'); ?>
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Eleitor</h1>
          </div>
         
        </div>
      </div><!-- /.container-fluid -->
    </section>

    <!-- Main content -->
    <section class="content">
      <div class="container-fluid">
        <div class="row">
          <!-- left column -->   
          <div class="col-md-12" style="float:none;margin:auto;">
            <!-- general form elements -->
            <div class="card card-default">
              <div class="card-header">
                <h3 class="card-title">Editar</h3>
              </div>
              <form id="clienteForm"  action="<?php echo e(URL('clientes/update')); ?>" method="post" role="form">
                <input type="hidden" name="_token" id="csrf-token" value="<?php echo e(Session::token()); ?>" />
                <input type="hidden" name="user_id" id="user_id" value="<?php echo e(Auth::user()->id); ?>" />
                <input type="hidden" name="id" id="id" value="<?php echo e($cliente->id); ?>" />
                <div class="card-body">
                  <div class="row">
                    <div class="col-12">
                      <div class="form-group">                       
                        <label for="name">Nome</label>
                        <input required type="text" class="form-control" name="name" id="name" placeholder="Nome" value="<?php echo e($cliente->name); ?>">
                      </div>
                      <div class="form-group">
                        <label>Whatsapp</label>
                        <input  type="text" class="form-control" id="phone" name="phone" data-inputmask='"mask": "(99) 99999-9999"' data-mask placeholder="Whatsapp" value="<?php echo e($cliente->phone); ?>">
                      </div>     
                      <div class="form-group">
                        <label>Cartão SUS</label>
                        <input type="text" class="form-control" id="sus" name="sus" placeholder="Cartão SUS" value="<?php echo e($cliente->sus); ?>">
                      </div>     
                      <div class="form-group" style="display: none">                     
                        <label for="email">Email</label>
                        <input type="email" class="form-control" id="email" name="email" placeholder="Entre com email" value="<?php echo e($cliente->email); ?>">
                      </div>
                      <div class="form-group" style="display: none">
                        <label>CPF</label>
                        <input type="text" class="form-control" name="cpf" id="cpf" placeholder="CPF" onblur="checkCPF(this)" value="<?php echo e($cliente->cpf); ?>">
                      </div>    
                      <div class="form-group">
                        <label for="name">Data de Nascimento</label>
                        <input type="date" class="form-control" name="nascimento" id="nascimento" value="<?php echo e($cliente->nascimento); ?>">
                      </div>
                      <div class="form-group">
                        <label for="name">Profissão</label>
                        <input  type="text" class="form-control" name="profissao" id="profissao" value="<?php echo e($cliente->profissao); ?>">
                      </div>            
                      <div class="form-group">
                        <label for="name">Titulo</label>
                        <input  type="text" class="form-control" name="titulo" id="titulo"  placeholder="Titulo"  value="<?php echo e($cliente->titulo); ?>">
                      </div>
                      <div class="form-group">
                        <label for="name">Zona</label>
                        <input  type="text" class="form-control" name="zona" id="zona"  placeholder="Zona"  value="<?php echo e($cliente->zona); ?>">
                      </div>
                      <div class="form-group">
                        <label for="name">Seção</label>
                        <input  type="text" class="form-control" name="secao" id="secao"  placeholder="Seção"  value="<?php echo e($cliente->secao); ?>">
                      </div>
                      <div class="form-group">
                        <label>CEP</label>
                        <div class="input-group-prepend">
                          <input type="text" class="form-control" id="cep" name="cep" data-mask="00000-000" value="<?php echo e($cliente->cep); ?>">
                          <button type="button" class="btn btn-success" onclick="getCep()">Buscar</button>
                        </div>
                      </div>
                      <div class="form-group">
                        <label for="name">Endereço</label>
                        <input  type="text" class="form-control" name="rua" id="rua" placeholder="Rua" value="<?php echo e($cliente->rua); ?>">
                      </div>
                      <div class="form-group">
                        <label  for="name">Número</label>
                        <input  type="text" class="form-control" name="numero" id="numero" placeholder="N° 100" value="<?php echo e($cliente->numero); ?>">
                      </div>
                      <div class="form-group">
                        <label>Complemento</label>
                        <input type="text" class="form-control" id="complemento" name="complemento" value="<?php echo e($cliente->complemento); ?>">
                      </div>
                      <div class="form-group">
                        <label  for="name">Bairro</label>
                        <input  type="text" class="form-control" name="bairro" id="bairro" placeholder="Bairro" value="<?php echo e($cliente->bairro); ?>">
                      </div>               
                      <div class="form-group">
                        <label for="name">Cidade</label>
                        <input  type="text" class="form-control" name="city" id="city" placeholder="Cidade"  value="<?php echo e($cliente->city); ?>">
                      </div>
                      <div class="form-group">
                        <label>Região</label>
                        <select name="zona_regiao" id="zona_regiao" class="form-control">
                          <option value=""></option>
                         <?php $__currentLoopData = $zonas; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $zona): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                              <option <?php if($zona->zona == $cliente->zona_regiao): ?> selected <?php endif; ?> value="<?php echo e($zona->zona); ?>"><?php echo e($zona->zona); ?></option>
                         <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                      </div>
                    </div>
                  </div>                
                </div>
                <div class="card-footer">
                  <button type="submit" class="btn btn-primary">Salvar</button>
                  <a href="<?php echo e(url('clientes')); ?>" class="btn btn-default">Voltar </a>
                </div>
              </form>
            </div>
          </div>
        </div>
      </div>
    </section>
<?php $__env->stopSection(); ?>  

<?php $__env->startSection('scripts'); ?>

  <script src="https://cdn.jsdelivr.net/npm/cep-promise/dist/cep-promise.min.js"></script>

  <script>

    $(document).ready(function() {
      $('[data-mask]').inputmask()      
    });

    $("input[id*='cep']").inputmask({
      mask: ['99999-999'],
      keepStatic: true
    });

    $("input[id*='cpf']").inputmask({
      mask: ['999.999.999-99'],
      keepStatic: true
    });

    async function getCep() {
      let cep = document.getElementById('cep').value.replace('-', '')
      this.cep(cep)
        .then(function (result) {
          document.getElementById('rua').value = result.street
          document.getElementById('city').value = result.city
          document.getElementById('bairro').value = result.neighborhood
          document.getElementById('numero').focus()
        })
    }
  </script>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('masterpage.masterpage', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/bizybox/public_html/equipe/resources/views/clientes/edit.blade.php ENDPATH**/ ?>