

<?php $__env->startSection('content'); ?>
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Santinho</h1>
          </div>         
        </div>
      </div>
    </section>

    <section class="content">
      <div class="container-fluid">
        <?php if(Session::has('flash_message')): ?>
          <div class="alert alert-success alert-dismissible">
            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
            <?php echo e(Session::get('flash_message')); ?>

          </div>
        <?php endif; ?>
        <?php if(Session::has('flash_erro')): ?>
          <div class="alert alert-danger alert-dismissible">
            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
            <?php echo e(Session::get('flash_erro')); ?>

          </div>
        <?php endif; ?>

        <div class="row">  
          <div class="col-md-12" style="float:none;margin:auto;">
            <div class="card card-default">
              <div class="card-header">
                <h3 class="card-title"><b><i>Cadastro</b></i></h3>
              </div>
              <form id="santinhoForm" action="<?php echo e(URL('santinho/store')); ?>" method="post" role="form" enctype="multipart/form-data">
                <input type="hidden" name="_token" id="csrf-token" value="<?php echo e(Session::token()); ?>" />
                <div class="card-body">
                  <div class="row">
                    <div class="col-12">
                      <div class="form-group">
                        <label for="santinhoInputFile">Arquivo de imagem (1024x1024px)</label>
                        <div class="input-group">
                          <div class="custom-file">
                            <input type="file" class="custom-file-input" id="santinhoInputFile" name="santinhoInputFile" onchange="loadFile(event)"
                              accept="image/png, image/jpg, image/jpeg, image/webp">
                            <label class="custom-file-label" for="santinhoInputFile">Selecionar arquivo</label>
                          </div>
                        </div>
                      </div>
                      <div class="form-group">
                        <label>Preview</label>
                        <div class="input-group">
                          <img id="santinhoImagem" name="santinhoImagem" src="../<?php echo e($configs[0]->santinho . '?' . time()); ?>"  />
                        </div>
                      </div>
                    </div>
                  </div>                
                </div>
                <div class="card-footer">
                  <button type="submit" class="btn btn-primary">Salvar</button>
                </div>
              </form>
            </div>           
          </div>
        </div>
      </div>
    </section>
<?php $__env->stopSection(); ?>  

<?php $__env->startSection('scripts'); ?>

  <script>
    
    var loadFile = function(event) {
      var output = document.getElementById('santinhoImagem');
      output.src = URL.createObjectURL(event.target.files[0]);
      output.onload = function() {
        URL.revokeObjectURL(output.src) // free memory
      }
    };

  </script>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('masterpage.masterpage', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/bizybox/public_html/erasmoavila/resources/views/santinho/create.blade.php ENDPATH**/ ?>