

<link rel="stylesheet" href="//code.jquery.com/ui/1.13.2/themes/base/jquery-ui.css">
<link rel="stylesheet" href="../bower_components/admin-lte/dist/css/style.css">

<?php $__env->startSection('content'); ?>
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Reunião</h1>
          </div>
         
        </div>
      </div><!-- /.container-fluid -->
    </section>

    <!-- Main content -->
    <section class="content">
      <div class="container-fluid">
        <?php if(Session::has('flash_message')): ?>
          <div class="alert alert-success alert-dismissible">
            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
            <?php echo e(Session::get('flash_message')); ?>

          </div>
        <?php endif; ?>
        <?php if(Session::has('error')): ?>
          <div class="alert alert-danger alert-dismissible">
            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
            <?php echo e(Session::get('error')); ?>

          </div>
        <?php endif; ?>
        <div class="row">
          <!-- left column -->   
          <div class="col-md-12" style="float:none;margin:auto;">
            <!-- general form elements -->
            <div class="card card-default">
              <div class="card-header">
                <h3 class="card-title">Cadastro</h3>
              </div>
              <!-- /.card-header -->
              <!-- form start -->
              <form id="reunioesForm"  action="<?php echo e(URL('reunioes/store')); ?>" method="post" role="form">
                <input type="hidden" name="_token" id="csrf-token" value="<?php echo e(Session::token()); ?>" />
                <div class="card-body">
                  <div class="row">
                    <div class="col-12">
                      <div class="form-group">                       
                        <label>Data</label>
                        <input required type="datetime-local" class="form-control" name="data_hora" id="data_hora">
                      </div>
                      <div class="form-group">
                        <label>Responsável</label>
                        <input type="text" class="form-control" name="responsavel" id="responsavel">
                      </div>
                      <div class="form-group">
                        <label>Local</label>
                        <input type="text" class="form-control" id="local" name="local">
                      </div>   
                      <div class="form-group">
                        <label>Objetivo</label>
                        <input  type="text" class="form-control" name="objetivo" id="objetivo">
                      </div>
                    </div>
                  </div>                
                </div>
                <div class="card-footer">
                  <button type="submit" class="btn btn-primary">Salvar</button>
                  <a href="<?php echo e(url('reunioes')); ?>" class="btn btn-default">Voltar</a>
                </div>
              </form>
            </div>           
          </div>
        </div>
      </div>
    </section>
<?php $__env->stopSection(); ?>  

<?php $__env->startSection('scripts'); ?>

  <script src="https://code.jquery.com/jquery-3.6.0.js"></script>
  <script src="https://code.jquery.com/ui/1.13.2/jquery-ui.js"></script>

  <script>

    $( function() {
      var availableTags = <?php echo json_encode($responsaveis); ?>

      $( "#responsavel" ).autocomplete({
        source: availableTags
      });
    } );

  </script>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('masterpage.masterpage', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/bizybox/public_html/erasmoavila/resources/views/reunioes/create.blade.php ENDPATH**/ ?>