

<?php $__env->startSection('content'); ?>
<section class="content-header">
    <div class="container-fluid">
      <div class="row mb-2">
        <div class="col-sm-6">
          <h1>Lideranças</h1>
        </div>
      </div>
    </div>
  </section>

  <section class="content">
    <div class="container-fluid">
      <div class="row">
        <div class="col-12">

          <div class="card">
            <div class="card-header">
              <h3 class="card-title">Lista</h3>
            </div>
            <input type="hidden" name="_token" id="csrf-token" value="<?php echo e(Session::token()); ?>" />
            <div>
              <div class="card-header">
                <a href="<?php echo e(URL('usuarios/create')); ?>" class="btn btn-primary">Nova liderança</a>
              </div>  
            </div> 
            
            <div class="card-body">
              <table id="example1" class="table table-striped">
                <thead>
                <tr>
                  <th>Nome</th>
                  <th>Whatsapp</th>
                  <th>Situação</th>
                  <th style="text-align: right">AÇÕES</th>
                </tr>
                </thead>
                <tbody>
               
                  <?php $__currentLoopData = $users; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $user): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <tr>
                      <td><?php echo e($user->name); ?></td>
                      <td><?php echo e($user->whatsapp); ?></td>
                      <?php if($user->status == 2): ?>
                       <td class="text-success">Ativo</td>
                      <?php else: ?>
                        <td class="text-danger">Aguardando reunião</td>
                      <?php endif; ?>
                      <td style="text-align: right">
                        <div>
                          <a href="<?php echo e(URL('usuarios/edit/'.$user->id)); ?>" class="btn btn-primary btn rounded-circle" title="Editar"><i class="fa fa-edit"></i></a>
                          <button class="btn btn-danger btn rounded-circle" userID="<?php echo e($user->id); ?>" title="Desativar" onclick="userUnable(this)"><i class="fa fa-trash"></i></button>
                        </div>  
                      </td>
                    </tr>   
                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                
                </tbody> 
                </tfoot>
              </table>
              <a href="<?php echo e(URL('usuarios/create')); ?>" class="btn btn-primary">Nova liderança</a>
            </div>
          </div>
        </div>
      </div>
    </div>

  </section>

  <?php $__env->stopSection(); ?>

 <?php $__env->startSection('scripts'); ?>
    <script>

      $(function () {
        $("#example1").DataTable({
          //"buttons": [{extend: "copy", text:'Copiar'}, "excel", "pdf", {extend: "print", text:"Imprimir"}],
          "responsive": true,
          "autoWidth": false,
          "oLanguage":{
            "sEmptyTable": "Nenhum registro encontrado",
            "sInfo": "Mostrando de _START_ até _END_ de _TOTAL_ registros",
            "sInfoEmpty": "Mostrando 0 até 0 de 0 registros",
            "sInfoFiltered": "(Filtrados de _MAX_ registros)",
            "sInfoPostFix": "",
            "sInfoThousands": ".",
            "sLengthMenu": "_MENU_ Resultados por página",
            "sLoadingRecords": "Carregando...",
            "sProcessing": "Processando...",
            "sZeroRecords": "Nenhum registro encontrado",
            "sSearch": "Pesquisar ",
            "oPaginate": {
                  "sNext": "Próximo",
                  "sPrevious": "Anterior",
                  "sFirst": "Primeiro",
                  "sLast": "Último"
              }
            }
        }).buttons().container().appendTo('#example1_wrapper .col-md-6:eq(0)');
      });

      function userUnable(params) {
        Swal.fire({
          title: 'Tem certeza que deseja desabilitar?',
          text: "Isso irá retirar o acesso do líder ao sistema!",
          icon: 'warning',
          showCancelButton: true,
          confirmButtonColor: '#3085d6',
          cancelButtonColor: '#d33',
          confirmButtonText: 'Confirmar',
          cancelButtonText: 'Cancelar',
        }).then((result) => {
          if (result.isConfirmed) {
            var csrfToken = document.getElementById('csrf-token').value;
            var data = new FormData();
            data.append('state', 0);
            data.append('id', params.getAttribute('userID'));      
            fetch('<?php echo e(URL('usuarios/changeStatus')); ?>', {
              method: 'post',
              body: data,
              headers: {
                "X-CSRF-Token": csrfToken
              },       
            }).then(function(response) {
              if (response.status === 200) {
                Swal.fire({
                  icon: 'success',
                  title: 'Líder excuído com sucesso',
                  showConfirmButton: false,
                  timer: 1500
                })
                window.location.reload();
              } else {
                Swal.fire(
                  'Falha!',
                  'Falha ao excluir o líder.',
                  'error'
                )
              }
            });
          }
        })
      }

    </script>
 <?php $__env->stopSection(); ?>
<?php echo $__env->make('masterpage.masterpage', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\lideranca\APPWEB\resources\views/usuarios/show.blade.php ENDPATH**/ ?>